package turtle.view;

import java.awt.*;
import java.awt.event.ActionEvent;

import java.util.function.Consumer;

import javax.swing.*;

/**
 * This is an implementation of the IView interface
 * that uses Java Swing to draw the results of the
 * turtle. It shows any error messages using a
 * pop-up dialog box, and shows the turtle position
 * and heading
 */
public class TurtleGraphicsView extends JFrame implements IView {

  Consumer<String> commandCallback;

  public TurtleGraphicsView() {
    super();


    commandCallback = null;


  }

  @Override
  public void makeVisible() {
    this.setVisible(true);
  }


  @Override
  public void setCommandCallback(Consumer<String> callback) {
    commandCallback = callback;
  }



  @Override
  public void refresh() {
    this.repaint();
  }





  @Override
  public void showErrorMessage(String error) {
    JOptionPane.showMessageDialog(this,error,"Error",JOptionPane.ERROR_MESSAGE);

  }

}
